function [in,xx,iel,conec]=genTri6(lx,numx,ly,numy, file, plotM)
%  function [in,xx,iel,conec]=gen2d3n(lx,numx,ly,numy,file)
%  genera una malla rectangular 2d de triangulos
%
%  lx:    Longitud rectangulo en X
%  numx:  Numero de elementos sobre lado X
%  ly:    Longitud rectangulo en Y
%  numy:  Numero de elementos sobre lado Y
%  file:  Nombre del archivo a generar
%
    nx = 2*numx;
    ny = 2*numy;
    
    DX = lx/nx;
    DY = ly/ny;
    nodo=0;
    for k=1:ny+1
        for j=1:nx+1
            nodo       = nodo+1;
            in(nodo)   = nodo;
            xx(nodo,1) = (j-1)*DX;
            xx(nodo,2) = (k-1)*DY;
            xx(nodo,3) = 0;
        end
    end

    iele=0;
    id1 = [1 3 2*nx+3 2 nx+3 nx+2];
    id2 = [3 2*nx+5 2*nx+3 nx+4 2*nx+4 nx+3];

    for k=1:numy
        m = 0;
        for j=1:numx
            iele=iele+1;
            iel(iele) = iele;
            conec(iele,1:6) = ((k-1)*(2*nx+2)+m)+id1;

            iele=iele+1;
            iel(iele) = iele;
            conec(iele,1:6)=((k-1)*(2*nx+2)+m)+id2;
            m = m +2;
        end
    end

    conec

    %   NXX  = [in(:) xx(:,1:3)];
    %   ELEM = [iel(:) conec(:,1:3)];
    fid = fopen(file,'wt');
    %numero de nodos
    fprintf(fid,'     %d\n', length(in));
    %coordenadas nodos
    fprintf(fid,'     %d     %f      %f     %f \n', [in(:) xx(:,1:3)]');
    %conectividades
    fprintf(fid,'     %d     %d      %d     %d     %d      %d     %d\n', [iel(:) conec(:,1:6)]' );

    fclose (fid);

    if plotM==true
        pltmshTri6(in,xx,iel,conec)
    end
